﻿using System;
using Infragistics.Win;
using Infragistics.Win.UltraWinExplorerBar;
using System.Drawing;

namespace WEB_CustomIndicatorImage
{
    internal class CustomDrawFilter : IUIElementDrawFilter
    {
        private Image expansionIndicatorImage = null;
        public Image ExpansionIndicatorImage
        {
            get
            {
                if (expansionIndicatorImage == null)
                    expansionIndicatorImage = Image.FromFile(@"..\..\imag\infra.jpg");

                return expansionIndicatorImage;
            }
        }

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawPhase == DrawPhase.BeforeDrawImage)
            {
                // You can change the ExpansionIndicatorImage based on the expanded state of the group.
                drawParams.Graphics.DrawImage(this.ExpansionIndicatorImage, drawParams.InvalidRect);
            }
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ExpansionButtonUIElement)
                return DrawPhase.BeforeDrawTheme | DrawPhase.BeforeDrawImage;
            else
                return DrawPhase.None;
        }
    }
}